package insalyon.tracecourbe;

public class Animateur extends Thread {
    private Nextable panneau;
    private int delay;
    private boolean pause = false;
    
    public void setDelay(int delay) {
		this.delay = delay;
	}

	public Animateur(Nextable p, int delay) {
        this.panneau = p;
        this.delay = delay;
        this.pause = false;
    }

    public void run() {
        while (true) {
            if (!this.pause) {
            	panneau.next();
            }
            try {
                sleep(this.delay);
            } catch (InterruptedException ex) {

            }
        }
    }

    public void pause() {
        this.pause = true;
    }

    public void restart() {
        this.pause = false;
    }
}
